MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022750Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2011-10-04 17:522018-06-29 21:19
Reporteryfr 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2008OS Version32 bit
Product Version[OCCT] 6.5.1 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0022750: Boolean operation: Bug in Fuse
DescriptionPlease have a look to the attached Draw Script.

The last Fuse produces wrong and invalid result
TagsNo tags attached.
Test case numberbugs modalg_7 bug22750
Attached Filestxt file icon BugBool.txt (2,499 bytes) 2011-10-12 18:34

- Relationships

-  Notes
(0068225)
git (administrator)
2017-07-12 18:25

Branch CR22750 has been created by mkv.

SHA-1: d8b596e77e494b33adad56b7128c7f87465d4cf4


Detailed log of new commits:

Author: mkv
Date: Wed Jul 12 18:25:32 2017 +0300

    Test for 0022750: Boolean operation: Bug in Fuse
(0068295)
mkv (tester)
2017-07-13 19:43

Dear BugMaster,
Problem is reproduced on the current master.
Please integrate branch CR22750 into the occt git-repository master.
After integration issue status should be changed to assigned. Responsible person is MSV.
(0072276)
emv (developer)
2017-11-16 13:41

The problem here is that the produced solid so2 is invalid, even after one of its faces reversed. The procedure of so2 building should be changed to the following:
mkvolume so2 f3 f7 f8 -ni

This produces valid solid so2.
After that, all sub-sequent boolean operations produce valid results.

The change will be done in frames of the issue #29322.
(0074529)
emv (developer)
2018-03-16 11:44

The problem is fixed by the fix for issue #0029322. Please close.
(0075294)
git (administrator)
2018-04-11 11:00

Branch CR22750 has been deleted by kgv.

SHA-1: d8b596e77e494b33adad56b7128c7f87465d4cf4

- Issue History
Date Modified Username Field Change
2011-10-04 17:52 yfr New Issue
2011-10-04 17:52 yfr Assigned To => jgv
2011-10-12 18:34 yfr File Added: BugBool.txt
2017-07-12 18:25 git Note Added: 0068225
2017-07-13 19:43 mkv Note Added: 0068295
2017-07-13 19:43 mkv Assigned To jgv => bugmaster
2017-07-13 19:43 mkv Status new => feedback
2017-07-13 19:44 mkv Status feedback => tested
2017-07-13 19:44 mkv Test case number => bugs modalg_7 bug22750
2017-07-14 12:26 bugmaster Assigned To bugmaster => msv
2017-07-14 12:26 bugmaster Status tested => assigned
2017-11-16 13:41 emv Note Added: 0072276
2017-11-16 13:41 emv Relationship added related to 0029322
2018-03-16 11:44 emv Note Added: 0074529
2018-03-16 11:44 emv Assigned To msv => bugmaster
2018-03-16 11:44 emv Status assigned => feedback
2018-03-16 11:44 emv Target Version => 7.3.0
2018-03-16 13:20 bugmaster Status feedback => verified
2018-03-16 13:20 bugmaster Resolution open => fixed
2018-04-11 11:00 git Note Added: 0075294
2018-06-29 21:14 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker